
Robotics Systems Types - Bug #1440
pkgconfig file of rst-converters is invalid
02/27/2013 10:24 AM - Anonymous

Status: Resolved Start date: 02/27/2013
Priority: High Due date:
Assignee: % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.9
Description

    -  prefix is wrong in the packages, see #1338 for the solution
    -  Library linking is wrong, has to be just ${libdir}/librstconverters-*.so.0.9 instead of -l${libdir}/librstconverters-*.so.0.9 (so without the
leading -l)
    -  Dependencies have to be rsb0.9, rst0.9 instead of (older) rsb, rst

Associated revisions
Revision fb592526 - 02/27/2013 01:10 PM - Arne Nordmann 

Fixed pkg-config file

    -  Fixed library linking
    -  Pinned version of rsx dependencies to 0.9
    -  Added rci dependency to pkg-config, when rci converters are built
    -  Repaired debian package building to write the correct prefix in the pkg-config file

fixes #1440

Revision 12fee96d - 02/27/2013 01:10 PM - Arne Nordmann 

Fixed pkg-config file

    -  Fixed library linking
    -  Pinned version of rsx dependencies to 0.9
    -  Added rci dependency to pkg-config, when rci converters are built
    -  Repaired debian package building to write the correct prefix in the pkg-config file

fixes #1440

Revision 36a2667e - 07/26/2016 01:16 PM - Arne Nordmann 

Fixed pkg-config file

    -  Fixed library linking
    -  Pinned version of rsx dependencies to 0.9
    -  Added rci dependency to pkg-config, when rci converters are built
    -  Repaired debian package building to write the correct prefix in the pkg-config file

fixes #1440
History
#1 - 02/27/2013 12:48 PM - Anonymous
- Status changed from New to In Progress
- Assignee set to Anonymous

#2 - 02/27/2013 01:36 PM - Anonymous
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-converters|commit:fb592526f6d0747c1538549e7265ab50929637d5.
